package com.platomix.api.cgi.support.aop;


import com.platomix.api.cgi.support.domain.Result;
import com.platomix.api.cgi.support.enums.ErrorEnum;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.BindException;
import org.springframework.web.bind.MethodArgumentNotValidException;
import org.springframework.web.bind.MissingServletRequestParameterException;
import org.springframework.web.bind.UnsatisfiedServletRequestParameterException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@Slf4j
@RestControllerAdvice
public class ExceptionAspect {


	@ExceptionHandler(value = {BindException.class, UnsatisfiedServletRequestParameterException.class, MissingServletRequestParameterException.class,MethodArgumentNotValidException.class})
	public String resolveException400(Exception e) {
		log.warn("参数异常", e);
		return new Result(ErrorEnum.ERROR_150000).toString();
	}


	@ExceptionHandler
	public String resolveException500(Exception e) {
		log.error("服务器异常", e);
		return new Result(ErrorEnum.ERROR_140000).toString();
	}
}